#ifndef STANDARDANSWER_H
#define STANDARDANSWER_H

#include <QWidget>
#include "CHttpBll.h"
#include "CBaseWidget.h"

namespace Ui {
class standardAnswer;
}

class standardAnswer : public CBaseWidget
{
    Q_OBJECT
signals:
    void heightChange(int nHeight);
public:
    explicit standardAnswer(CSubQuestionStruct &sqs, QWidget *parent = nullptr);
    ~standardAnswer();

    int setUI(const int nWidth);
    int widgetType();
private slots:


    void on_btn_sa_showAnswer_clicked();

private:
	void initAnswer();

    Ui::standardAnswer *ui;
    bool m_bShowAnswer;
	CSubQuestionStruct &m_sqs;
};

#endif // STANDARDANSWER_H
